<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PF\SubTypes\F900;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class SubTypeBPPG_1 {
    public $name = "payment_capacity";
    public $templateColumns = [
        
        [
            'name' => "type_rule",
            'position' => 1,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "code_cons",
            'position' => 5,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "sub_type",
            'position' => 9,
            'size' => 1,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "capacity",
            'position' => 10,
            'size' => 16,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "filler_1",
            'position' => 26,
            'size' => 90,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
    ];
}